Subject: dog

From: Michael Hawley <mike>
Date: Sat, 17 Jan 87 15:40:44 EST

I wrote my webster program in about an hour, spending about half
the time getting it to pretty print the definitions in a way I like:
-------
dog ('d{o.}g)
   i[often attrib]
Etymology: ME, fr. OE i[docga]
1) a) n, a highly variable carnivorous domesticated mammal (i[Canis
      familiaris]) prob. descended from the common wolf; i[broadly]:
      any animal of the dog family (Canidae) to which this mammal belongs
   b) n, a male dog
2) a) n, a worthless fellow:
   b) n, CHAP, FELLOW <a gay ~>
3) a) n, any of various usu. simple mechanical devices for holding,
      gripping, or fastening consisting of a spike, rod, or bar
   b) n, ANDIRON
4) a) n, SUN DOG
   b) n, WATER DOG
   c) n, FOGBOW
5) n, affected stylishness or dignity i[cap]
6) n, either of the constellations Canis Major or Canis Minor i[pl], i[slang]
7) n, FEET i[slang]
8) n, something inferior of its kind i[pl]
9) n, RUIN <go to the ~i[s]> i[cap]
10) n, any of various American Indian peoples
 -- dog.like, aj
('d{o.}-.gl{i-}k)
--------
I find this easier to read.
The Webster definitions are nicely structured, it seems a shame to
spoil it by right justifying.  The code to do this is hacky but
I can give it to anyone who wants it.

Michael